[theme="light"]  
  --colorFirstBackground: linear-gradient(0deg,rgba(0, 212, 255, 0.5) 16%, rgba(5, 201, 251, 0.7) 32%,rgba(0, 212, 255, 0.8) 64%)
  --colorSecoundBackground: linear-gradient(0deg, rgba(0, 8, 36, 1) 10%, rgba(43, 43, 200, 0.8) 54%, rgba(0, 212, 255, 0.8) 93%) 
  --container-color: rgb(0, 111, 236) 
  --testAcolor: red
  --oppositeColor: black

[theme="dark"]  
  --colorFirstBackground: linear-gradient(0deg, rgba(0, 8, 36, 1) 10%, rgba(43, 43, 200, 0.8) 54%, rgba(0, 212, 255, 0.8) 93%) 
  --colorSecoundBackground: linear-gradient(0deg,rgba(0, 212, 255, 0.5) 16%, rgba(5, 201, 251, 0.7) 32%,rgba(0, 212, 255, 0.8) 64%)
  --container-color: rgb(0, 212, 255) 
  --testAcolor: green
  --oppositeColor: white

[bubbleOut="dark"]  
  --visibilityBubbleOuter: visible
  --OuteroppositeColor: green

[bubbleOut="light"]  
  --visibilityBubbleOuter: hidden
  --OuteroppositeColor: red

[screenSave="dark"]  
  --visbilityState: visible
  --reVisbilityState: visible
  --antiVisibilityState: hidden
  --testBcolor: green
  --position: float
  --transitionTime: 0.4s

[screenSave="light"]
  --visbilityState: hidden
  --reVisbilityState: visible
  --antiVisibilityState: visible
  --testBcolor: red
  --position: absolute
  --transitionTime: 0s


.changingComponent
  border-radius: 1.666em 

.dynamic-title
  color: var(--oppositeColor)

.inputBack
  background-color: var(--colorSecoundBackground) 


input.theme-switch + label  
  cursor: pointer 

input.theme-switch:not(:checked) + label:hover  
  cursor: pointer 

input.theme-switch + label:active,
input.theme-switch:checked + label  
  cursor: pointer

.switch  
  position: relative
  display: inline-block 
  width: 60px 
  height: 34px 
  border: thin solid black 
  border-radius: 1.666em  


.sliderAllPositionOne
  position: absolute
  cursor: pointer 
  height: 26px 
  width: 26px 
  left: 26px 
  right: 0 
  top: 4px
  bottom: 4px 
  border-radius: 50% 
  opacity: 0.7
  -webkit-transition: var(--transitionTime)
  transition: var(--transitionTime)
  background: var(--testAcolor)

.sliderBubblePosOne
  position: absolute
  cursor: pointer 
  height: 26px 
  width: 26px 
  left: 26px 
  right: 0 
  top: 4px
  bottom: 4px 
  border-radius: 50% 
  opacity: 0.7
  -webkit-transition: var(--transitionTime)
  transition: var(--transitionTime) 
  background: var(--AAoppositeColor)

.sliderAllePositionTwo 
  position: absolute
  cursor: pointer 
  height: 26px 
  width: 26px 
  left: 4px 
  top: 4px
  bottom: 4px 
  border-radius: 50% 
  opacity: 0.7
  -webkit-transition: var(--transitionTime)
  transition: var(--transitionTime)
  background: var(--testAcolor)

.sliderBubblePositionTwo 
  position: absolute
  cursor: pointer 
  height: 26px 
  width: 26px 
  left: 4px 
  top: 4px
  bottom: 4px 
  border-radius: 50% 
  opacity: 0.7
  -webkit-transition: var(--transitionTime)
  transition: var(--transitionTime)
  background: var(--AAoppositeColor)

.sliderScPositionOne
  position: absolute
  cursor: pointer 
  height: 26px 
  width: 26px 
  left: 26px 
  right: 0 
  top: 4px
  bottom: 4px 
  border-radius: 50% 
  opacity: 0.7
  -webkit-transition: var(--transitionTime)
  transition: var(--transitionTime)  
  background: var(--testBcolor)

.sliderScPositionTwo 
  position: absolute
  cursor: pointer 
  height: 26px 
  width: 26px 
  left: 4px 
  top: 4px
  bottom: 4px 
  border-radius: 50% 
  opacity: 0.7
  -webkit-transition: var(--transitionTime)
  transition: var(--transitionTime)
  background: var(--testBcolor)

.sliderOutOne 
  position: absolute
  cursor: pointer 
  height: 26px 
  width: 26px 
  left: 26px 
  right: 0 
  top: 4px
  bottom: 4px 
  border-radius: 50% 
  opacity: 0.7
  -webkit-transition: var(--transitionTime)
  transition: var(--transitionTime)
  background: var(--OuteroppositeColor)

.sliderOutTwo 
  position: absolute
  cursor: pointer
  height: 26px 
  width: 26px 
  left: 4px 
  top: 4px
  bottom: 4px 
  border-radius: 50%
  opacity: 0.7
  -webkit-transition: var(--transitionTime)
  transition: var(--transitionTime)
  background: var(--OuteroppositeColor)
